Bug 868579 - RFE: Add better fplll3 backward compatibility support
RFE: Add better fplll3 backward compatibility support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libfplll (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 19:01 EDT by Paulo Andrade
Modified: 2012-11-22 07:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 07:19:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2012-10-20 19:01:08 EDT
The proposed package "corrects" some templates and
add a new one so that it satisfies constraints to
build sagemath 5.4.beta1.

I also made a sagemath side patch to use the fplll::
namespace, and compile the fplll interface with
-DFPLLL_V3_COMPAT in compiler command line.

Spec URL: http://fedorapeople.org/~pcpa/libfplll.spec
SRPM URL: http://fedorapeople.org/~pcpa/libfplll-4.0.1-2.fc19.src.rpm
Comment 1 Conrad Meyer 2012-10-20 19:11:18 EDT
LGTM. Do you want to go ahead and do it, or do you need me for anything?
Comment 2 Paulo Andrade 2012-10-20 19:47:04 EDT
Thanks for the reply. I just asked to become comaintainer
in f19. After fully checking also asked for f18 :-)

I am updating my f17 sagemath test repository and will
need the patch in f18 as fplll was updated in f18 and
rawhide.
Comment 3 Conrad Meyer 2012-10-20 19:55:47 EDT
Approved =).
Comment 4 Paulo Andrade 2012-10-20 20:20:15 EDT
Thanks :-)

I just finished a rawhide sagemath 5.4.beta1 build and
installed it. It fails only one test that I could test
so far, that may be a valid alternate result. I will update
fplll now, and open a sagemath trac ticket suggesting update
of fplll.

$ rpm -q sagemath
sagemath-5.4.beta1-1.fc19.x86_64
$ sage -t /usr/share/sagemath/devel/sage/sage/libs/fplll/fplll.pyx
sage -t  "devel/sage/sage/libs/fplll/fplll.pyx"             
**********************************************************************
File "/usr/share/sagemath/devel/sage/sage/libs/fplll/fplll.pyx", line 646:
    sage: L = A.LLL(); L
Expected:
    [ 192  264 -152  272   -8  272  -48 -264  104   -8]
    [-128 -176 -240  160 -336  160   32  176  272 -336]
    [ -24 -161  147  350  385  -34  262  161  115  257]
    [ 520   75 -113  -74 -491   54  126  -75  239 -107]
    [-376 -133  255   22  229  150  350  133   95 -411]
    [-168 -103    5  402 -377 -238 -214  103 -219 -249]
    [-352   28  108 -328 -156  184   88  -28  -20  356]
    [ 120 -219  289  298  123  170 -286  219  449 -261]
    [ 160 -292   44   56  164  568  -40  292  -84 -348]
    [ 192  264 -152  272   -8  272  -48  760  104   -8]
Got:
    [ 192  264 -152  272   -8  272  -48 -264  104   -8]
    [-128 -176 -240  160 -336  160   32  176  272 -336]
    [ -24 -161  147  350  385  -34  262  161  115  257]
    [ 520   75 -113  -74 -491   54  126  -75  239 -107]
    [-376 -133  255   22  229  150  350  133   95 -411]
    [-168 -103    5  402 -377 -238 -214  103 -219 -249]
    [-352   28  108 -328 -156  184   88  -28  -20  356]
    [ 120 -219  289  298  123  170 -286  219  449 -261]
    [ 160 -292   44   56  164  568  -40  292  -84 -348]
    [-192  760  152 -272    8 -272   48  264 -104    8]
**********************************************************************
1 items had failures:
   1 of   8 in __main__.example_16
***Test Failed*** 1 failures.
For whitespace errors, see the file /home/pcpa/.sage/tmp/fplll_17597.py
         [17.5 s]
 
----------------------------------------------------------------------
The following tests failed:


        sage -t  "devel/sage/sage/libs/fplll/fplll.pyx"
Total time for all tests: 17.6 seconds
Comment 5 Paulo Andrade 2012-10-20 21:14:55 EDT
There was already a trac requesting for fplll upgrade
in sagemath, I added extra information with my patches:

http://trac.sagemath.org/sage_trac/ticket/12835
Comment 6 Fedora Update System 2012-10-25 16:05:34 EDT
libfplll-4.0.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libfplll-4.0.1-2.fc18
Comment 7 Fedora Update System 2012-10-26 15:35:20 EDT
Package libfplll-4.0.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfplll-4.0.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16909/libfplll-4.0.1-2.fc18
then log in and leave karma (feedback).
Comment 8 Paulo Andrade 2012-11-22 07:19:13 EST
package update is already in f18.

Note You need to log in before you can comment on or make changes to this bug.